Bio::MAGETAB::ProtocolParameter(3)

NAME
Bio::MAGETAB::ProtocolParameter - MAGE-TAB protocol parameter class

SYNOPSIS
 use Bio::MAGETAB::ProtocolParameter;

DESCRIPTION
This class is used to describe the parameters which may be used with a given MAGE-TAB protocol. See the BaseClass class for superclass methods.

ATTRIBUTES

name (required)
    The name of the parameter (data type: String).

protocol (required)
    The protocol to which the parameter applies (data type: Bio::MAGETAB::Protocol).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).